%global SVN	859

Summary:		X Neural Switcher
Name:		xneur
Version:		0.12.0
Release:		3%{?SVN:.svn%{SVN}}%{?dist}

License:		GPLv2+
Group:		User Interface/Desktops
URL:			http://www.xneur.ru
Source:		http://dists.xneur.ru/release-%{version}/tgz/%{name}-%{version}%{?SVN:-svn%{SVN}}.tar.bz2

# It is needed fo build to EL-5
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	fontconfig-devel, freetype-devel, glib2-devel, pcre-devel
BuildRequires:	libX11-devel, gstreamer-devel, freealut-devel >= 1.0.1
BuildRequires:	enchant-devel, libXpm-devel, imlib2-devel, xosd-devel
BuildRequires:	gettext-devel, libnotify-devel >= 0.4.0, gtk2-devel

%if 0%{SVN}
BuildRequires:	libtool
%endif

# El5 http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies#Distribution_specific_guidelines
Requires:		pkgconfig

# There no publick backtracker available. Problem sent by mail to developer, but no answer got.
# Patch mabe by example of http://launchpadlibrarian.net/58728091/libnotify-070-fix.diff
#	( https://bugs.launchpad.net/qbittorrent/+bug/671769 )
Patch0:		xneur-0.10.0_libnotify_gt_0.7.patch

%description
X Neural Switcher is a program for automatic (intelligent) keyboard layout
changing in the X Window System. It is mainly used to change between Russian
and English, but also supports Armenian, Belorussian, Bolgarian, Czech,
Georgian, German, Greek, Estonian, French, Kazakh, Lithuanian, Latvian, Polish,
Moldovan (Romanian), Spanish, Ukrainian and Uzbek.

%description -l ru
X Neural Switcher это программа для автоматического (интеллектуального)
переключения раскладок клавиатуры в X Window. Прежде всего он предназначен
для смены русской и английской раскладок, но также поддерживаются армянский,
белорусский, болгарский, чешский, грузинский, немецкий, греческий, эстонский,
французский, казахский, литовский, латвийский (латышский), польский, молдавский
(румынский), испанский, украинский и узбекский языки.

%package		devel
Summary:		Development files for %{name}
Group:		Development/Libraries
Requires:		%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%patch0 -b .libnotify-0.7 -p1

%build
%if 0%{SVN}
./autogen.sh
%endif

# Extra parameters needs to build on Fedora > 13. See https://bugzilla.gnome.org/show_bug.cgi?id=622550
%configure CFLAGS="%{optflags}" LIBNOTIFY_CFLAGS="%( pkg-config --cflags "libnotify >= 0.4.0" gtk+-2.0 )" LIBNOTIFY_LIBS="%( pkg-config --libs "libnotify >= 0.4.0" gtk+-2.0 )"

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

# remove static
rm %{buildroot}/%{_libdir}/{,%{name}}/*.{a,la}

%find_lang %{name}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ABOUT-NLS TODO ChangeLog NEWS README
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/xneurrc*
%{_bindir}/%{name}
%dir %{_libdir}/%{name}/
%{_libdir}/%{name}/*.so.*
%{_libdir}/*.so.*
%{_mandir}/man1/%{name}.1*
%{_mandir}/man5/%{name}rc.5*
%{_datadir}/%{name}


%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_libdir}/xneur/*.so
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/*


%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.0-3.svn859
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Feb 4 2011 Pavel Alexeev <Pahan@Hubbitus.info> - 0.12.0-2
- New version 0.12.0 does not built on rawhide - http://koji.fedoraproject.org/koji/getfile?taskID=2758454&name=build.log ,
	ask upstream author (by email) and build fixed version.
- Add svn dependency stuff on svn build to regenerate configure script.

* Wed Feb 2 2011 Pavel Alexeev <Pahan@Hubbitus.info> - 0.12.0-1
- New version 0.12.0
- Add default optflags in configure.

* Fri Jan 28 2011 Pavel Alexeev <Pahan@Hubbitus.info> - 0.11.1-2.svn844
- Build postrelease 0.11.1-svn844 in hope it fix Shift + Tab problem.

* Mon Nov 29 2010 Pavel Alexeev <Pahan@Hubbitus.info> - 0.11.1-1
- New version 0.11.1.
- BR aspell-devel replaced by enchant-devel.

* Thu Nov 11 2010 Pavel Alexeev <Pahan@Hubbitus.info> - 0.10.0-6
- Add Patch0: xneur-0.10.0_libnotify_gt_0.7.patch to fix FBFS in rawhide.

* Fri Oct 8 2010 Pavel Alexeev <Pahan@Hubbitus.info> - 0.10.0-5
- New version 0.10.0

* Sat Sep 25 2010 Pavel Alexeev <Pahan@Hubbitus.info> - 0.9.9-4
- Own %%dir %%{_sysconfdir}/%%{name}

* Fri Sep 24 2010 Pavel Alexeev <Pahan@Hubbitus.info> - 0.9.9-3
- Remove rpathes.
- Make pathes to mans mor concrete.

* Wed Sep 22 2010 Pavel Alexeev <Pahan@Hubbitus.info> - 0.9.9-2
- All changes inspired by Fedora review, thanks to Damian Wrobel and Martin Gieseking.
- Changed description to do not mention comparation (suggested Wikipedia variant
	with full languages list).
- Change license to GPLv2+ instead of GPLv2.
- Own %%{_libdir}/xneur/
- Explicit mention %%{_bindir}/%%{name}
- %%{_libdir}/xneur/*.so.* replaced by macros variant: %%{_libdir}/%%{name}/*.so.*
- Remove unneeded BR autoconf, automake, libtool
- Add BR gtk2-devel to build on Fedora 14+.
- Add extraparameters LIBNOTIFY_LIBS and LIBNOTIFY_CFLAGS to fix build on Fedora > 13.
    Please see commment above for more info.

* Wed Aug 11 2010 Pavel Alexeev <Pahan@Hubbitus.info> - 0.9.9-1
- Import from http://mirror.yandex.ru/fedora/russianfedora/russianfedora/free/fedora/releases/13/Everything/source/SRPMS/xneur-0.9.9-1.fc13.src.rpm
	and fully revisited.